No warning when upgrading OS will turn off Livepatch

Bug #1799310 reported by Matthew Paul Thomas on 2018-10-22
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Andrea Azzarone
Cosmic
Medium
Unassigned

Bug Description

1. Install an LTS release, e.g. Ubuntu 18.04.

2. Turn on Livepatch.

3. Run “do-release-upgrade”, “ubuntu-release-upgrader-gtk”, or “ubuntu-release-upgrader-qt” to upgrade to the following non-LTS release.

What happens: You are prompted to upgrade as normal.

What should happen: At some point before you confirm that the upgrade should begin, you are warned that upgrading will turn off Livepatch.

This warning should not appear if you weren’t using Livepatch anyway.

<https://wiki.ubuntu.com/ReleaseUpgrades#livepatch>: ‘If Livepatch is turned on, and you are upgrading to a version where Livepatch is not available, the dialog should morph to a confirmation alert: “Livepatch is not available for {new version}. If you continue, Livepatch will turn off.”’

[Prompted by bug 1798839.]

Related branches

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Medium
Jeb E. (jebeld17) wrote :

Thank you for reporting this.
I'm having the exact same issue, as you know.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
tags: added: id-5bdc804d64728f787fd6b5fb
Jeb E. (jebeld17) wrote :

It would be nice to have some warning the added security benefits available in 18.04 would be removed upon upgrade to 18.10...
😥

There really needs to be some sort of dialogue box warning the user.

Matthew Paul Thomas (mpt) wrote :
description: updated
Andrea Azzarone (azzar1) on 2018-12-11
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) on 2019-01-15
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → In Progress
Brian Murray (brian-murray) wrote :

The location in the code where the dialog was added is a part of the dist-upgrader tarball which is downloaded during the release upgrade process. Subsequently this does not need fixing in 18.04, rather in 18.10+ as those are where the tarballs from.

Changed in ubuntu-release-upgrader (Ubuntu Cosmic):
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:19.04.10

---------------
ubuntu-release-upgrader (1:19.04.10) disco; urgency=medium

  [ Andrea Azzarone ]
  * DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/DistUpgradeViewKDE.py,
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    DistUpgrade/DistUpgradeViewText.py:
    - add askCancelContinueQuestion for all the supported views.
  * DistUpgrade/DistUpgradeController.py: Ask for confirmation if Livepatch
    is turned on, and you are upgrading to a version where Livepatch is not
    available. (LP: #1799310)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.

 -- Brian Murray <email address hidden> Mon, 21 Jan 2019 08:57:50 -0800

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released

Hello Matthew, or anyone else affected,

Accepted ubuntu-release-upgrader into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.10.11.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Cosmic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Brian Murray (brian-murray) wrote :

I tested an upgrade from a Bionic system with livepatch enabled to cosmic using the release upgrader from -proposed and received the dialog regarding livepatch not being available for the release to which I was upgrading.

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.10.11.4

---------------
ubuntu-release-upgrader (1:18.10.11.4) cosmic; urgency=medium

  [ Brian Murray ]
  * data/release-upgrades: Clarify documentation regarding the behavior for
    different Prompt settings. (LP: #1795024)
  * do-release-upgrade: Utilize information regarding what Prompt is set to so
    that a more informative error message can be displayed.
    (LP: #1798618, LP: #1795024)

  [ Andrea Azzarone ]
  * DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/DistUpgradeViewKDE.py,
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    DistUpgrade/DistUpgradeViewText.py:
    - add askCancelContinueQuestion for all the supported views.
  * DistUpgrade/DistUpgradeController.py: Ask for confirmation if Livepatch
    is turned on, and you are upgrading to a version where Livepatch is not
    available. (LP: #1799310)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.

 -- Brian Murray <email address hidden> Mon, 21 Jan 2019 11:48:53 -0800

Changed in ubuntu-release-upgrader (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers